### Virtual Method

# SpiceClientGLib UsbDeviceManager device_error

#### Declaration [src]

    void
    device_error (
      SpiceUsbDeviceManager* manager,
      SpiceUsbDevice* device,
      GError* error
    )

#### Description [src]

Signal class handler for the `SpiceUsbDeviceManager::device_error` signal.

#### Parameters

`device`

  Type: `SpiceUsbDevice`

  No description available.

  The data is owned by the caller of the method.

`error`

  Type: `GError`

  No description available.

  The data is owned by the caller of the method.